Error When Installing Back Office Packages - AFS

Install AFS on Multiple Servers

Product
AFS
AFS_Version
7.11
Platform
RHEL
Category
Technical Notes

The following error might occur if an element of your network (e.g., the proxy) overencodes some chars in the name of the packages (e.g., "+"):

[Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 500 Internal Server Error"

It is possible to bypass this error by manually retrieving the .rpm files.

Run the following commands to retrieve the packages:

wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-libxml2.8-2.8.0-2.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-libstdc++6-4.7.3-4.7.3-2.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-libstdc++6-4.7.1-3.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-glib2.32-2.32.3-6.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-gcc-4.7-4.7.1-3.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-libsigc++-2.0-2.2.10-2.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-libglibmm-2.4-2.2.10-3.x86_64.rpm
wget http://LOGIN:MDP@pkgs-afp.afs-antidot.net/beta/antidot-libxml++2.6-2.34.2-1.x86_64.rpm

Run the following commands in the described order to update the packages:

rpm -Uvh antidot-libxml2.8-2.8.0-2.x86_64.rpm
rpm -Uvh antidot-libstdc++6-4.7.3-4.7.3-2.x86_64.rpm
rpm -Uvh antidot-libstdc++6-4.7.1-3.x86_64.rpm
rpm -Uvh antidot-glib2.32-2.32.3-6.x86_64.rpm
rpm -Uvh antidot-gcc-4.7-4.7.1-3.x86_64.rpm
rpm -Uvh antidot-libsigc++-2.0-2.2.10-2.x86_64.rpm
rpm -Uvh antidot-libglibmm-2.4-2.2.10-3.x86_64.rpm
rpm -Uvh antidot-libxml++2.6-2.34.2-1.x86_64.rpm